Subject: RE: b18 "patch" assertion fails
From: [email-masked] (Colin Peters)

18 May 1997 22:43:20 -0700
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <01BC6453.137F3C20.cygnus.gnu-win32@gbird0>
Original-To: "'Gary Bishop'" <[email-masked]>
Original-Cc: "'GNU-Win32'" <[email-masked]>
MIME-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: 7bit
Original-Sender: [email-masked]

Gary Bishop[SMTP:[email-masked]] wrote:
>patch dies with 
>
>assertion "hunk" failed: file "/home/noer/src/beta18/cdk/patch/patch.c",
>line 339
>
>when I try to apply Sergey's patches for X11R6.3.  It has successfully
>applied several patches before failing.  
>
>Anyone else seen this?

I saw this error, among others, when trying to get a diff I had made
to properly patch some files I have. I also saw patch become strangely
confused on a couple of hunks and output a lot of garbage into the
"patched" file. I heard that patch was broken in b17.1, and it seems
to me that it is still broken in b18...

Maybe you could try rebuilding patch from the GNU sources...

Colin.

-- Colin Peters - [email-masked]
-- Saga University Dept. of Information Science
-- http://www.fu.is.saga-u.ac.jp/~colin/index.html
-- http://www.geocities.com/Tokyo/Towers/6162/

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".